/* 
 * GSEGYLIB - Library for accessing files in SEG-Y format
 *
 * Copyright (C) 2005-2006 Vladimir Bashkardin
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more av.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author:  Vladimir Bashkardin  <vovizmus@users.sourceforge.net>
 */

#ifndef __G_SEGY_ERROR_H__
#define __G_SEGY_ERROR_H__

#include <glib.h>

G_BEGIN_DECLS

typedef enum {
    G_SEGY_FILE_NO_ERROR               = 0,
    G_SEGY_FILE_MEMORY_ALLOCATION_FAIL = 1,
    G_SEGY_FILE_OPEN_ERROR             = 2,
    G_SEGY_FILE_READ_ERROR             = 3,
    G_SEGY_FILE_DOES_NOT_EXIST         = 4,
    G_SEGY_FILE_NON_REGULAR            = 5,
    G_SEGY_FILE_UNKNOW_SAMPLE_ID       = 6,
    G_SEGY_FILE_ZERO_NUMBER_OF_SAMPLES = 7,
    G_SEGY_FILE_ZERO_SAMPLE_INTERVAL   = 8,
    G_SEGY_FILE_PREMATURE_EOF          = 9,
    G_SEGY_FILE_FORMAT_ALREADY_SET     = 10,
    G_SEGY_FILE_INTERRUPTED_BY_USER    = 11,
    G_SEGY_FILE_MESSAGES_NUM           = 12
} GSEGYFileErrorID;

typedef struct _GSEGYFileError GSEGYFileError;

struct _GSEGYFileError {
    GSEGYFileErrorID id;
    GError *gerror;
};

G_END_DECLS
#endif /* __G_SEGY_ERROR_H__ */
