/* 
 * GTKSEISVIEWGL - Library for rendering of 2D seismic data
 *
 * Copyright (C) 2007 Vladimir Bashkardin
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more av.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author:  Vladimir Bashkardin  <vovizmus@users.sourceforge.net>
 */

#ifndef __G_SEIS_VIEW_PAINTER_H__
#define __G_SEIS_VIEW_PAINTER_H__

#include <gtk/gtk.h>
#include <gtkseisviewgl/gseisviewdatavis.h>

G_BEGIN_DECLS

#define G_SEIS_TYPE_VIEW_PAINTER            (g_seis_view_painter_get_type ())
#define G_SEIS_VIEW_PAINTER(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), G_SEIS_TYPE_VIEW_PAINTER, GSeisViewPainter))
#define G_SEIS_VIEW_PAINTER_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), G_SEIS_TYPE_VIEW_PAINTER, GSeisViewPainterClass))
#define G_SEIS_IS_VIEW_PAINTER(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), G_SEIS_TYPE_VIEW_PAINTER))
#define G_SEIS_IS_VIEW_PAINTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), G_SEIS_TYPE_VIEW_PAINTER))
#define G_SEIS_VIEW_PAINTER_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), G_SEIS_TYPE_VIEW_PAINTER, GSeisViewPainterClass))

typedef struct _GSeisViewPainter GSeisViewPainter;
typedef struct _GSeisViewPainterClass GSeisViewPainterClass;

struct _GSeisViewPainter {
    GObject parent;
};

struct _GSeisViewPainterClass {
    GObjectClass parent_class;

	void (*view_attach_notify) (GSeisViewPainter *self, GtkWidget *seis_view_gl);
	void (*view_detach_notify) (GSeisViewPainter *self, GtkWidget *seis_view_gl);

	void (*view_redraw) (GSeisViewPainter *self, GtkWidget *seis_view_gl,
                         GSeisViewDataVisibility *data_visibility);
};

GType g_seis_view_painter_get_type (void);

void g_seis_view_painter_attach_notify (GSeisViewPainter *painter, GtkWidget *seis_view_gl);
void g_seis_view_painter_detach_notify (GSeisViewPainter *painter, GtkWidget *seis_view_gl);
void g_seis_view_painter_redraw (GSeisViewPainter *painter, GtkWidget *seis_view_gl,
                                 GSeisViewDataVisibility *data_visibility);

G_END_DECLS

#endif /* __G_SEIS_VIEW_PAINTER_H__ */
