/* 
 * GTKSEISVIEWGL - Library for rendering of 2D seismic data
 *
 * Copyright (C) 2006 Vladimir Bashkardin
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more av.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Author:  Vladimir Bashkardin  <vovizmus@users.sourceforge.net>
 */

#ifndef __G_SEIS_VIEW_TOOL_AUXILARY_H__
#define __G_SEIS_VIEW_TOOL_AUXILARY_H__

#include <gtkseisviewgl/gseisviewtool.h>

G_BEGIN_DECLS

#define G_SEIS_TYPE_VIEW_TOOL_AUXILARY            (g_seis_view_tool_auxilary_get_type ())
#define G_SEIS_VIEW_TOOL_AUXILARY(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), G_SEIS_TYPE_VIEW_TOOL_AUXILARY, GSeisViewToolAuxilary))
#define G_SEIS_VIEW_TOOL_AUXILARY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), G_SEIS_TYPE_VIEW_TOOL_AUXILARY, GSeisViewToolAuxilaryClass))
#define G_SEIS_IS_VIEW_TOOL_AUXILARY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), G_SEIS_TYPE_VIEW_TOOL_AUXILARY))
#define G_SEIS_IS_VIEW_TOOL_AUXILARY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), G_SEIS_TYPE_VIEW_TOOL_AUXILARY))
#define G_SEIS_VIEW_TOOL_AUXILARY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), G_SEIS_TYPE_VIEW_TOOL_AUXILARY, GSeisViewToolAuxilaryClass))

typedef struct _GSeisViewToolAuxilary GSeisViewToolAuxilary;
typedef struct _GSeisViewToolAuxilaryClass GSeisViewToolAuxilaryClass;

struct _GSeisViewToolAuxilary {
    GSeisViewTool parent;
};

struct _GSeisViewToolAuxilaryClass {
    GSeisViewToolClass parent_class;

    guint auxilary_scroll_up_id;
    guint auxilary_scroll_down_id;

    void (*auxilary_scroll_up) (GSeisViewToolAuxilary *self);
    void (*auxilary_scroll_down) (GSeisViewToolAuxilary *self);
};

GType g_seis_view_tool_auxilary_get_type (void);

GSeisViewToolAuxilary* g_seis_view_tool_auxilary_new (void);

G_END_DECLS

#endif /* __G_SEIS_VIEW_TOOL_AUXILARY_H__ */
